Bug 242825 - Segfault when using ssh in with LDAP auth
Segfault when using ssh in with LDAP auth
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 20:03 EDT by Cliff
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 18:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cliff 2007-06-05 20:03:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3

Description of problem:
Using SSH to access a server running RHEL 4 Update 5 x86_64. When I try to login to a user in the LDAP datastore 'login' segfaults. When I use a user defined in /etc/passwd, the login works correctly. Here's the syslog entry:

Jun  6 11:05:19 vr2-wg-prod-dcs-02 kernel: sshd[2727]: segfault at 0000000000000
000 rip 0000002a972d66a4 rsp 0000007fbfffe190 error 4

This is a newly built server, so it is possible that it is 'user error', but I believe not.

Version-Release number of selected component (if applicable):
pam-0.77-66.21 nss_ldap-226-18 openldap-2.2.13-7.4E

How reproducible:
Always


Steps to Reproduce:
1. Setup LDAP/PAM for LDAP authentication. Other servers successfully access the same existing LDAP server as the new server. The other servers are RHEL 4 up to update 4. This machine is RHEL 4 update 5.
2. Login using ssh as a user defined in /etc/passwd on this machine - it works.
3. Login using ssh as a user only defined in the LDAP server - the ssh window disappears and a segfault record appears in the syslog.

Actual Results:
Ssh window disappears, segfault appears in the syslog.

Expected Results:
shell prompt should have appeared.

Additional info:
pam_passwdqc-0.7.5-2
pam_krb5-2.1.8-1
spamassassin-3.1.8-2.el4
pam-0.77-66.21
pam_smb-1.1.7-5
pam_ccreds-3-3.rhel4.2
openldap-2.2.13-7.4E
nss_ldap-226-18
Putty (ssh) release 0.56
Comment 1 Tomas Mraz 2007-06-06 06:56:30 EDT
As this doesn't happen with users in /etc/passwd nss_ldap is the most probable
culprit.
Comment 2 Cliff 2007-06-06 18:39:15 EDT
Please close as 'user error'. A reconfiguration and reboot fixed it. Both PAM 
and NSS were configured for authentication. Removed PAM changes and left NSS 
and it worked.

[When I try to close it I get message "You tried to change the Status field 
from NEW to CLOSED, but only the owner or submitter of the bug, or a autorized 
user, may change that field." So far as I'm aware I am logged in with the ID 
that the bug report was created with.]

Note You need to log in before you can comment on or make changes to this bug.